0 Replies Latest reply on Mar 11, 2014 5:09 AM by jmcleish

    Upgrading ePO 4.5.4 to 4.6.7, agent v4.6 and agent key updater question.

    jmcleish

      Hi,

       

      I'm finalising my upgrade from ePO 4.5.4 to 4.6.7 (+HF940148)

       

      The clients have agent version  4.6.0.2292 on them.

       

      To test, i've cloned the ePO sever and upgraded it. When the client checks in (locally installed client on ePo server), it does an ' Agent received REQUEST PUBLIC KEY package from ePO sever' . I'm assuming this is because the key size changes from 1024 to 2048 and this is expected behaviour?

       

      However, the upgrade also checks in ePO agent key updater v4.8.0.887 into the master repository. KB77541 says that things can go wrong with the key updater on 4.6.

       

      If i remove the ePO agent key updater (v4.8.0.887) from the master repository before any clients connect (by disconnecting the server from the network before the upgarde finsihes) and make sure I don't have the key updater selected in any product update tasks, will my clients be OK?

       

      On the cloned server, I also tested removing the agent key updater package from the repository, then removed and  reinstalled the old agent on the server. when it connects for the first time, it also does an 'Agent received REQUEST PUBLIC KEY package from ePO sever'.

       

       

      So....will my clients be OK, or is the problem that they are on agent 4.6 and i need to upgrade them to 4.8 first, as when the client connects it will do a key update anyway?

       

      Most of my encrypted machines are on this server curently and i don't want anything to happen to them.

       

      Thanks

      Jane